Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PhaseEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.PhaseEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PhaseEvent

extends java.util.EventObject

PhaseEvent represents the beginning or ending of processing for a particular phase of the request processing lifecycle, for the request encapsulated by the specified `FacesContext`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PhaseEvent(FacesContext context, PhaseId phaseId, Lifecycle lifecycle)` Construct a new event object from the specified parameters.

Method Summary
`FacesContext` | `getFacesContext()` Return the `FacesContext` for the request being processed.
`PhaseId` | `getPhaseId()` Return the `PhaseId` representing the current request processing lifecycle phase.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhaseEvent

    public PhaseEvent(FacesContext context,
                      PhaseId phaseId,
                      Lifecycle lifecycle)

  Construct a new event object from the specified parameters. The specified `Lifecycle` will be the source of this event.

  Parameters:
    `context` - `FacesContext` for the current request
    `phaseId` - Identifier of the current request processing lifecycle phase
    `lifecycle` - Lifecycle instance
  Throws:
    `java.lang.NullPointerException` - if `context` or `phaseId` or `Lifecycle`is `null`

Method Detail

### getFacesContext

    public FacesContext getFacesContext()

  Return the `FacesContext` for the request being processed.

### getPhaseId

    public PhaseId getPhaseId()

  Return the `PhaseId` representing the current request processing lifecycle phase.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.